#include "common.h"
#include <math.h>
#include <stdio.h>
#include <stdlib.h>
#include <stdint.h>
#include <string.h>

#ifdef __cplusplus
extern "C" {
#endif

int
LLVMFuzzerTestOneInput(const uint8_t *data, size_t size) {
    size_t i = 0;

    double double_eq_const_0_0;
    double double_eq_const_1_0;
    double double_eq_const_2_0;
    double double_eq_const_3_0;
    double double_eq_const_4_0;
    double double_eq_const_5_0;
    double double_eq_const_6_0;

    if (size < 56)
        return TEPHRA_EXIT_FAILURE;


    memcpy(&double_eq_const_0_0, &data[i], 8);
    i += 8;
    memcpy(&double_eq_const_1_0, &data[i], 8);
    i += 8;
    memcpy(&double_eq_const_2_0, &data[i], 8);
    i += 8;
    memcpy(&double_eq_const_3_0, &data[i], 8);
    i += 8;
    memcpy(&double_eq_const_4_0, &data[i], 8);
    i += 8;
    memcpy(&double_eq_const_5_0, &data[i], 8);
    i += 8;
    memcpy(&double_eq_const_6_0, &data[i], 8);
    i += 8;


    if (double_eq_const_0_0 == -7.110504152540151E-181)
    if (double_eq_const_1_0 == 4.5017394298857497E-41)
    if (double_eq_const_2_0 == -0.007033386030880497)
    if (double_eq_const_3_0 == -1.0913959172809361E-115)
    if (double_eq_const_4_0 == 6.380655330754071E-66)
    if (double_eq_const_5_0 == 6.7317069297655964E-301)
    if (double_eq_const_6_0 == 2.62541111448675E-75)
        BOOM();

    return TEPHRA_EXIT_SUCCESS;
}

#ifdef __cplusplus
}
#endif
